LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Ubuntu (http://www.linuxquestions.org/questions/ubuntu-63/)
-   -   Building GNOME Shell from source on Ubuntu 10.04 LTS (http://www.linuxquestions.org/questions/ubuntu-63/building-gnome-shell-from-source-on-ubuntu-10-04-lts-806804/)

Kenny_Strawn 05-09-2010 12:52 PM

Building GNOME Shell from source on Ubuntu 10.04 LTS
 
I have run into problems building GNOME Shell from source on the Lucid Lynx. The Lynx has GNOME 2.30, correct? Well, ~/gnome-shell-build-setup.sh tells me that "GNOME 2.26 or newer is required to build GNOME Shell" when I already have 2.30. Just look at this screenshot:

http://7oeyuq.bay.livefilestore.com/...ghtProblem.png

Simon Bridge 05-10-2010 07:16 AM

Look at how that error message is being generated in the script.
If you upgraded to 10.04, there may still be some pre 2.30 gnome stuff hanging about.

http://osdir.com/ml/svn-commits-list.../msg07451.html
... is interesting - a patch which added a test for gnome 2.26 to the installer config. A shallow reading appears to show that if you do not have 2.26, the error appears. Check on your full script. You want to find out how have_gnome_26 gets set.

Gnome terminal 2.29.6 comes with Ubuntu 10.04 - what does terminal 2.3 have that 2.29.6 does not?


All times are GMT -5. The time now is 08:38 AM.